#!/bin/sh
#
# Display status of Service Agent processes
#
# Begin Copyright
#
# IBM Confidential
# The Source code for this program is not published or otherwise divested of its
# trade secrets, irrespective of what has been deposited with the U.S. Copyright Office.
# (C) Copyright IBM Corp. 2006
#
# End Copyright

. /usr/svcagent/bin/saFunctions

if [[ "$1." != "c." ]] ; then
  echo "G."
  echo " "
  ps -eaf --cols 4000 | grep "ibm/sa/apps/SAINST" | grep -v grep >/dev/null 2>&1 || ps -eaf --cols 4000 | grep "ibm.sa.apps.SAINST" | grep -v grep >/dev/null 2>&1 
  [ $? -eq 0 ]  &&  sa="Service Agent Basic Configuration Interface is active" || sa=" "

  echo "Checking status of Service Agent Client."
  sa=" "
  echo " "
fi

ps -eaf --cols 4000 | grep "ibm/ecf/apps/ODS" | grep -v grep >/dev/null 2>&1 || ps -eaf --cols 4000 | grep "ibm.ecf.apps.ODS" | grep -v grep >/dev/null 2>&1
[ $? -eq 0 ]  &&  echo "Service Agent On Demand Server (ODS) is running" || echo "Service Agent On Demand Server (ODS) is NOT running"
echo " "
ps -eaf  --cols 4000| grep "ibm/sa/apps/SAUI" | grep -v grep >/dev/null 2>&1 || ps -eaf  --cols 4000| grep "ibm.sa.apps.SAUI" | grep -v grep >/dev/null
[ $? -eq 0 ]  &&  echo "Service Agent Advanced Interface is active" || echo "" 
echo "$sa"
echo " "
ps -eaf | grep svcagent|grep -v grep|grep "/usr/bin/errpt">/dev/null 2>&1
[ $? -eq 0 ]  &&  echo "Service Agent Error Log process is active" || echo "" 
sleep 2
echo " "
